gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: linkchecker.sh skeleton script


From: gnunet
Subject: [taler-deployment] branch master updated: linkchecker.sh skeleton script first commit
Date: Sun, 14 Jun 2020 10:36:29 +0200

This is an automated email from the git hooks/post-receive script.

buck pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 61551ea  linkchecker.sh skeleton script first commit
61551ea is described below

commit 61551ea8d1e13ad791b996f5befff984cc5fe219
Author: buckE <buckE@disroot.org>
AuthorDate: Sun Jun 14 08:36:07 2020 +0000

    linkchecker.sh skeleton script first commit
---
 buildbot/linkchecker.sh | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/buildbot/linkchecker.sh b/buildbot/linkchecker.sh
new file mode 100755
index 0000000..46c3137
--- /dev/null
+++ b/buildbot/linkchecker.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+# Removed because wget is being a bitch:
+#set -e
+
+## This script will scan www.taler.net for broken links and e-mail a copy of 
the log if any are found.
+
+logfile="linkchecker.log"
+
+# Remove old log
+
+if [ -f "$logfile" ]
+then
+echo $logfile " exists.  Moving to" $logfile".old."
+mv $logfile $logfile.old
+else
+       echo "Info: existing log file '$logfile' not found."
+fi
+
+# Use wget to scan www.taler.net and save output
+
+echo
+echo "Running this command:"
+echo   " wget --spider -r -nd -nv -H -l 1 -w 2 -o $logfile 
https://www.taler.net/";
+wget --spider -r -nd -nv -H -l 1 -w 2 -o $logfile https://www.taler.net/
+
+echo
+
+# Search the log for the phrase "broken link" as this is what wget will report
+if grep -iRl 'broken link!!' $logfile
+       then
+               echo "Found broken links.  !! TODO: Send message here"
+               exit 0
+       else
+               echo "No broken links found.  Nothing more to do."
+               exit 0
+fi

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]